Commons.Xml.Relaxng [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. This type represents an abstract datatype that is being used in "data" and "value" elements' validation. To be added. System.Object
- Method
  System.Object `` `` Validates the value string and returns the validated typed object, being supplied context information by XmlReader as a context holder. a that represents a value being parsed. a that is used as a context holder. a that represents the validated value. This method must return null if the value was invalid. It is recommended that implementations return for explicit NULL value. The context represented by the XmlReader parameter is used for example to acquire namespace URI using .
- Method
  System.Boolean `` `` Compares two "values" that would be used in "value" constraint check. a that is being compared. a that is being compared. True if equals. False if not equals. The default implementation Parses the values into objects and compares as objects.
- Method
  System.Boolean `` `` `` Compares two "value strings" that would be used in "value" constraint check. a that is being compared. a that is being compared. a True if equals. False if not equals. The default implementation converts the values into objects and calls Compare method.
- Method
  System.Boolean `` `` Validates the argument string. a that represents a value being parsed. a that is used as a context holder. True if valid. False if invalid. The default implementation calls Parse() and checks if the return value is null or not.
- Constructor
  The protected constructor.
  To be added.
- Property
  System.String Represents the local part of this type's name. a To be added.
- Property
  System.String Represents the namespace part of this type's name (datatype library name). a To be added.